Resources
Additional Detail Info APIs
Company id
1Information that becomes the key, ARN in the case of AWS
arn:aws:ec2:ap-northeast-2:129335065553:instance/i-00b2b04565443696dAWSPossible values: OK
Next token for pagination
POST /asset/us-v1/detail/performance/metric HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 110
{
"cmpnId": "1",
"rsrcKey": "arn:aws:ec2:ap-northeast-2:129335065553:instance/i-00b2b04565443696d",
"vendor": "AWS"
}OK
{
"data": [
{
"empty": true,
"ANY_ADDITIONAL_PROPERTY": {}
}
],
"nextToken": "text",
"message": {
"Code": "text",
"Message": "text"
},
"status": "text",
"Data": {
"Code": "text",
"Message": "text"
},
"error": {
"Code": "text",
"Message": "text"
}
}Company id
1Information that becomes the key, ARN in the case of AWS
arn:aws:ec2:ap-northeast-2:129335065553:instance/i-00b2b04565443696dAWSPossible values: OK
Next token for pagination
POST /asset/us-v1/detail/performance/data HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 239
{
"cmpnId": "1",
"rsrcKey": "arn:aws:ec2:ap-northeast-2:129335065553:instance/i-00b2b04565443696d",
"vendor": "AWS",
"dimensions": [
{
"empty": true,
"ANY_ADDITIONAL_PROPERTY": {}
}
],
"metricStatisticsRequest": {
"empty": true,
"ANY_ADDITIONAL_PROPERTY": {}
}
}OK
{
"data": [
{
"empty": true,
"ANY_ADDITIONAL_PROPERTY": {}
}
],
"nextToken": "text",
"message": {
"Code": "text",
"Message": "text"
},
"status": "text",
"Data": {
"Code": "text",
"Message": "text"
},
"error": {
"Code": "text",
"Message": "text"
}
}get detail cost list from Cost Management
Company id
1yyyy-MM-dd
2023-04-30yyyy-MM-dd
2023-06-01OK
Next token for pagination
POST /asset/us-v1/detail/external/cost HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 122
{
"cmpnId": "1",
"vendor": "aws",
"accId": "text",
"rsrcType": "text",
"arnList": [
"text"
],
"stDt": "2023-04-30",
"endDt": "2023-06-01"
}OK
{
"data": [
{
"availabilityZone": "text",
"cost": 1,
"costDescription": "text",
"currency": "text",
"date": "text",
"id": "text",
"month": "text",
"name": "text",
"operationName": "text",
"originalResourceId": "text",
"os": "text",
"productCode": "text",
"productName": "text",
"quantity": 1,
"recordType": "text",
"region": "text",
"regionCode": "text",
"resourceId": "text",
"resourceType": "text",
"savingEffect": "text",
"savingEffectQuantity": 1,
"subProductName": "text",
"useType": "text",
"week": "text",
"year": "text"
}
],
"nextToken": "text",
"message": {
"Code": "text",
"Message": "text"
},
"status": "text",
"Data": {
"Code": "text",
"Message": "text"
},
"error": {
"Code": "text",
"Message": "text"
}
}30OK
Next token for pagination
GET /asset/us-v1/detail/{cmpnId}/{vendor}/{startDate}/{endDate}/event/history?rsrcKey=text&rsrcType=text HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"data": [
{
"empty": true,
"ANY_ADDITIONAL_PROPERTY": {}
}
],
"nextToken": "text",
"message": {
"Code": "text",
"Message": "text"
},
"status": "text",
"Data": {
"Code": "text",
"Message": "text"
},
"error": {
"Code": "text",
"Message": "text"
}
}OK
Next token for pagination
GET /asset/us-v1/detail/{cmpnId}/{vendor}/related?rsrcKey=text&rsrcType=text HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"data": [
{
"ANY_ADDITIONAL_PROPERTY": "text"
}
],
"nextToken": "text",
"message": {
"Code": "text",
"Message": "text"
},
"status": "text",
"Data": {
"Code": "text",
"Message": "text"
},
"error": {
"Code": "text",
"Message": "text"
}
}Billing Tag ES APIs
awsOK
GET /asset/us-v1/tag-manager/billing-tags/tag-keys?masterCmpnId=text HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"data": [
{
"tagKey": "text",
"mappedVirtualTagName": "text",
"mappedVirtualTagKeyId": "text"
}
],
"pagination": {
"totalCount": 1,
"page": 1,
"size": 1
},
"summary": {
"totalResourceCount": 1
},
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}awsOK
GET /asset/us-v1/tag-manager/billing-tags/tag-keys/tag-vals?tagKey=text&masterCmpnId=text HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"data": [
"text"
],
"pagination": {
"totalCount": 1,
"page": 1,
"size": 1
},
"summary": {
"totalResourceCount": 1
},
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Common APIs
menu
usagevendor
awsview type
historyCompany id
1Resource Type
ec2Vendor
awsView Type(current, history)
historymenu
usageOK
POST /asset/us-v1/{menu}/{vendor}/grid-headers/{viewType} HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 82
{
"cmpnId": "1",
"rsrcType": "ec2",
"vendor": "aws",
"viewType": "history",
"menu": "usage"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Detail APIs
OK
Next token for pagination
GET /asset/us-v1/detail/{cmpnId}/{vendor}/{rgnId}/{accId}/tag?instId=text&rsrcType=text HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"data": [
{
"tagKey": "text",
"tagVal": "text"
}
],
"nextToken": "text",
"message": {
"Code": "text",
"Message": "text"
},
"status": "text",
"Data": {
"Code": "text",
"Message": "text"
},
"error": {
"Code": "text",
"Message": "text"
}
}Service Group information. In the case of Azure, you must give an id starting with '/subscriptions/~' instead of instId in the instId field.
OK
Next token for pagination
GET /asset/us-v1/detail/{cmpnId}/{vendor}/{rgnId}/{accId}/sg?instId=text&rsrcType=text HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"data": [
{
"view": "text",
"dfltYn": "text",
"category": "text",
"svcGrp": "text"
}
],
"nextToken": "text",
"message": {
"Code": "text",
"Message": "text"
},
"status": "text",
"Data": {
"Code": "text",
"Message": "text"
},
"error": {
"Code": "text",
"Message": "text"
}
}Detailed information of resource information for which Region, Account id, inst id, rsrcType are required.
OK
GET /asset/us-v1/detail/{cmpnId}/{vendor}/{rgnId}/{accId}/describe?instId=text&rsrcType=text HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"data": {
"vendor": "aws",
"arn": "text",
"instanceType": "text",
"name": "text",
"state": "text",
"lifeCycle": "text",
"instType": "text",
"accId": "text",
"accAlias": "text",
"rgnId": "text",
"rgnNm": "text",
"os": "text",
"rsrcType": "text",
"instId": "text",
"id": "text",
"detailAsJsonString": "text",
"docUrl": "text"
},
"message": {
"Code": "text",
"Message": "text"
},
"status": "text",
"Data": {
"Code": "text",
"Message": "text"
},
"error": {
"Code": "text",
"Message": "text"
}
}OK
Next token for pagination
GET /asset/us-v1/detail/{cmpnId}/{vendor}/{rgnId}/tag?rsrcKey=text&rsrcType=text HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"data": [
{
"tagKey": "text",
"tagVal": "text"
}
],
"nextToken": "text",
"message": {
"Code": "text",
"Message": "text"
},
"status": "text",
"Data": {
"Code": "text",
"Message": "text"
},
"error": {
"Code": "text",
"Message": "text"
}
}Detailed information of resource information for which Region, Resource Key(Unique key) and Resource type are required.
OK
GET /asset/us-v1/detail/{cmpnId}/{vendor}/{rgnId}/describe?rsrcKey=text&rsrcType=text HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"data": {
"vendor": "aws",
"arn": "text",
"instanceType": "text",
"name": "text",
"state": "text",
"lifeCycle": "text",
"instType": "text",
"accId": "text",
"accAlias": "text",
"rgnId": "text",
"rgnNm": "text",
"os": "text",
"rsrcType": "text",
"instId": "text",
"id": "text",
"detailAsJsonString": "text",
"docUrl": "text"
},
"message": {
"Code": "text",
"Message": "text"
},
"status": "text",
"Data": {
"Code": "text",
"Message": "text"
},
"error": {
"Code": "text",
"Message": "text"
}
}Elastic Search Filter APIs
View Filter Data Quick Search For Usage
Menu Id
usageCompany id
1Action Type(current, history)
currentOK
PUT /asset/us-v1/elastic/filter/{menuId} HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 115
{
"cmpnId": "1",
"actionType": "current",
"keyList": [
{
"vndr": "aws",
"key": "vendors",
"value": "aws",
"selectYn": "enabled"
}
]
}OK
{
"result": {
"vendors": [
{
"vndr": "aws",
"key": "vendors",
"value": "aws",
"selectYn": "enabled"
}
],
"accounts": [
{
"vndr": "aws",
"key": "vendors",
"value": "aws",
"selectYn": "enabled"
}
],
"regions": [
{
"vndr": "aws",
"key": "vendors",
"value": "aws",
"selectYn": "enabled"
}
],
"products": [
{
"vndr": "aws",
"key": "vendors",
"value": "aws",
"selectYn": "enabled"
}
],
"svcGrps": [
{
"vndr": "aws",
"key": "vendors",
"value": "aws",
"selectYn": "enabled"
}
],
"tags": [
{
"vndr": "aws",
"key": "Name",
"value": "test",
"isRequired": true
}
],
"tagGrps": [
{
"vndr": "aws",
"key": "vendors",
"value": "aws",
"selectYn": "enabled"
}
]
},
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Optimization Detail V3 APIs
Grid detail data inquiry according to optimization category and resource type
Company id
1000000000000ap-northeast-2vol-00000ebsawsPossible values: idleOK
POST /asset/us-v1/optimization/detail/list/info HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 183
{
"cmpnId": "1",
"optimizeCategory": "right-sizing",
"accountId": "000000000000",
"regionId": "ap-northeast-2",
"instanceId": "vol-00000",
"resourceType": "ebs",
"vendor": "aws",
"recommend": "idle"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Grid data inquiry according to optimization category and resource type
Company id
1Optimization category
Resource type
ec2Cloud vendor
List of accounts to filter optimization results for
List of regions to filter optimization results for
List of serviceGroups to filter optimization results for
OK
POST /asset/us-v1/optimization/detail/list HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 201
{
"cmpnId": "1",
"optimizeCategory": "right-sizing",
"resourceType": "ec2",
"vendor": "aws",
"accountList": [
"text"
],
"regionList": [
"text"
],
"serviceGroupList": [
"text"
],
"tagList": [
{
"key": "Name",
"value": [
"text"
]
}
]
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}View optimization charts by optimization category and resource type
Company id
1Optimization category
Resource type
ec2Cloud vendor
List of accounts to filter optimization results for
List of regions to filter optimization results for
List of serviceGroups to filter optimization results for
OK
POST /asset/us-v1/optimization/detail/chart HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 201
{
"cmpnId": "1",
"optimizeCategory": "right-sizing",
"resourceType": "ec2",
"vendor": "aws",
"accountList": [
"text"
],
"regionList": [
"text"
],
"serviceGroupList": [
"text"
],
"tagList": [
{
"key": "Name",
"value": [
"text"
]
}
]
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Optimization Setting V3 APIs
Reset the optimization setting conditions for each resource by optimization category.
Company id
1Vendor
Resource Type
ec2Optimization category
right-sizingPossible values: OK
PUT /asset/us-v1/optimization/setting/reset HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 84
{
"cmpnId": "1",
"vendor": "aws",
"resourceType": "ec2",
"optimizeCategory": "right-sizing"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}View list of support resources by optimization type
Optimization category
OK
GET /asset/us-v1/optimization/setting/optimize-category/{optimizeCategory} HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"result": [
{
"vendor": "text",
"resourceType": "text",
"resourceName": "text"
}
],
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}View the list of conditions that can be set according to resources by optimization category. If there are no conditions set, the default conditions are searched. Depending on the optimization type, resource type may be required.
Company Id
1Vendor
Optimization category
Rule id
Resource type
ec2OK
GET /asset/us-v1/optimization/setting/companies/{cmpnId}/vendors/{vendor}/optimize-category/{optimizeCategory}/rule-sets/{ruleSetId} HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}View the list of tags excluded from resource optimization.
Company unique ID
Rule id
DefaultOK
GET /asset/us-v1/optimization/setting/companies/{cmpnId}/rule-sets/{ruleSetId}/deny HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Search for optimization rule set ID using site and company information.
Company Id
1OK
GET /asset/us-v1/optimization/setting/companies/{cmpnId}/rule-set-id HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"data": {
"ruleSetId": "text"
},
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Resource Alarm V2 Controller APIs
알람 On Off Update
1alarm UUIDNOK
PUT /asset/us-v1/alert/setting/on-off HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 49
{
"cmpnId": "1",
"alarmId": "alarm UUID",
"useYn": "N"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}알람 상세 조회
OK
GET /asset/us-v1/alert/setting?requestModel=[object+Object] HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"data": {},
"message": {
"Code": "text",
"Message": "text"
},
"status": "text",
"Data": {
"Code": "text",
"Message": "text"
},
"error": {
"Code": "text",
"Message": "text"
}
}알람 수정
1OK
PUT /asset/us-v1/alert/setting HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 452
{
"cmpnId": "1",
"alarmDefaultSetting": {
"alarmName": "My Alarm",
"alarmChannels": [
"EMAIL"
],
"recvInfos": [
{
"userId": "55407aca-d619-5c04-b5b7-9a360ffa51dd",
"userNm": "홍*동",
"userEmail": "aaa@bespiglobal.com"
}
],
"langCd": "KO",
"useYn": "Y",
"alarmId": "text",
"delYn": "N"
},
"alarmTargetSetting": {
"vendor": "aws",
"rsrcType": "ec2",
"exceptTagKey": "OpsNowService",
"exceptTagVal": "Asset"
},
"alarmRuleSettings": [
{
"ruleType": "BULK_CREATION_OF_RESOURCES",
"thresholdVal": "10"
}
]
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}메일을 통한 사용자 수신 거부
암호화된 User Email
userEmail1a6f9249-ecfb-45fa-aeb7-016eb9019f4dOK
PUT /asset/us-v1/alert/deny/user HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 74
{
"userEmail": "userEmail",
"alarmId": "1a6f9249-ecfb-45fa-aeb7-016eb9019f4d"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}알람 선택 삭제
11a6f9249-ecfb-45fa-aeb7-016eb9019f4dOK
POST /asset/us-v1/alert/setting/delete HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 64
{
"cmpnId": "1",
"alarmIds": "1a6f9249-ecfb-45fa-aeb7-016eb9019f4d"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}알람 세팅 신규 생성 폼 초기 데이터 조회
OK
GET /asset/us-v1/alert/setting/add?cmpnId=text HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"data": {},
"message": {
"Code": "text",
"Message": "text"
},
"status": "text",
"Data": {
"Code": "text",
"Message": "text"
},
"error": {
"Code": "text",
"Message": "text"
}
}알람 세팅 신규 저장
1OK
POST /asset/us-v1/alert/setting/add HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 452
{
"cmpnId": "1",
"alarmDefaultSetting": {
"alarmName": "My Alarm",
"alarmChannels": [
"EMAIL"
],
"recvInfos": [
{
"userId": "55407aca-d619-5c04-b5b7-9a360ffa51dd",
"userNm": "홍*동",
"userEmail": "aaa@bespiglobal.com"
}
],
"langCd": "KO",
"useYn": "Y",
"alarmId": "text",
"delYn": "N"
},
"alarmTargetSetting": {
"vendor": "aws",
"rsrcType": "ec2",
"exceptTagKey": "OpsNowService",
"exceptTagVal": "Asset"
},
"alarmRuleSettings": [
{
"ruleType": "BULK_CREATION_OF_RESOURCES",
"thresholdVal": "10"
}
]
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}알람 발송 이력 조회
12023-02-052023-02-09OK
POST /asset/us-v1/alert/send/histories HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 69
{
"cmpnId": "1",
"historyStDt": "2023-02-05",
"historyEndDt": "2023-02-09"
}OK
{
"data": [
{}
],
"message": {
"Code": "text",
"Message": "text"
},
"status": "text",
"Data": {
"Code": "text",
"Message": "text"
},
"error": {
"Code": "text",
"Message": "text"
}
}알람 발송 이력 필터 리스트 조회
1BESPINawsOK
POST /asset/us-v1/alert/send/filters HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 47
{
"cmpnId": "1",
"siteCd": "BESPIN",
"vendor": "aws"
}OK
{
"data": {},
"message": {
"Code": "text",
"Message": "text"
},
"status": "text",
"Data": {
"Code": "text",
"Message": "text"
},
"error": {
"Code": "text",
"Message": "text"
}
}알람 세팅 리스트 조회
OK
GET /asset/us-v1/alert/settings?cmpnId=text HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"data": [
{}
],
"message": {
"Code": "text",
"Message": "text"
},
"status": "text",
"Data": {
"Code": "text",
"Message": "text"
},
"error": {
"Code": "text",
"Message": "text"
}
}알람 세팅 신규 생성 폼 초기 데이터 조회 중 태그 키 선택에 따른 벨류 값 리턴
OK
GET /asset/us-v1/alert/setting/tag-value?requestModel=[object+Object] HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"data": [
{}
],
"message": {
"Code": "text",
"Message": "text"
},
"status": "text",
"Data": {
"Code": "text",
"Message": "text"
},
"error": {
"Code": "text",
"Message": "text"
}
}알람 세팅 신규 생성 폼 초기 데이터 조회 중 벤더, 리소스 선택에 따른 키 값 리턴
OK
GET /asset/us-v1/alert/setting/tag-key?requestModel=[object+Object] HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"data": [
{}
],
"message": {
"Code": "text",
"Message": "text"
},
"status": "text",
"Data": {
"Code": "text",
"Message": "text"
},
"error": {
"Code": "text",
"Message": "text"
}
}알람 설정 변경 내역
OK
GET /asset/us-v1/alert/setting/histories?requestModel=[object+Object] HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"data": [
{}
],
"message": {
"Code": "text",
"Message": "text"
},
"status": "text",
"Data": {
"Code": "text",
"Message": "text"
},
"error": {
"Code": "text",
"Message": "text"
}
}알람 발송 상세 조회
OK
GET /asset/us-v1/alert/send/history?param=[object+Object] HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"data": {},
"message": {
"Code": "text",
"Message": "text"
},
"status": "text",
"Data": {
"Code": "text",
"Message": "text"
},
"error": {
"Code": "text",
"Message": "text"
}
}Resource History Scheduler APIs
스케줄 설정 변경 내역
OK
GET /asset/us-v1/scheduler/companies/{cmpnId}/schedules/{schdId}/history HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Resource Instance Scheduler APIs
중복조건 스케줄 아이디 목록 조회
Company id
1OK
POST /asset/us-v1/scheduler/companies/{cmpnId}/vendors/{vndrId}/tags/exists HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 137
{
"cmpnId": "1",
"rsrcType": [
"text"
],
"tags": [
{
"tagKey": "text",
"tagVal": "text"
}
],
"accId": "text",
"rgnId": "text",
"tzRgn": "text",
"vndrId": "aws"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}스케줄 설정에 따른 사용 시간 조회
OK
POST /asset/us-v1/scheduler/companies/{cmpnId}/usage-hours HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 101
{
"schedules": [
{
"taskGroupId": "text",
"daysOfWeek": [
"text"
],
"turnOnTime": "text",
"turnOffTime": "text"
}
]
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}벤더, 인스턴스 타입, 계정, 리전, 대상 타입 설정에 따른 인스턴스 목록 가져오기
Company id
1OK
POST /asset/us-v1/scheduler/companies/{cmpnId}/instances HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 346
{
"cmpnId": "1",
"nm": "text",
"vndrId": "aws",
"accId": "text",
"rgnId": "text",
"rsrcType": "text",
"cndtType": "INSTANCE",
"instanceIds": [
"text"
],
"tags": [
{
"tagKey": "text",
"tagVal": "text"
}
],
"tzRgn": "text",
"creaEmail": "text",
"updtEmail": "text",
"schdId": "text",
"schedules": [
{
"taskGroupId": "text",
"daysOfWeek": [
"text"
],
"turnOnTime": "text",
"turnOffTime": "text"
}
]
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}벤더 별 태그 값 목록 조회
OK
GET /asset/us-v1/scheduler/companies/{cmpnId}/vendors/{vndrId}/tag-values?requestModel=[object+Object] HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}벤더 별 태그 키 목록 조회
OK
GET /asset/us-v1/scheduler/companies/{cmpnId}/vendors/{vndrId}/tag-keys?requestModel=[object+Object] HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}스케줄에 연결된 인스턴스 리스트 가져오기
OK
GET /asset/us-v1/scheduler/companies/{cmpnId}/schedules/{schdId}/instances HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}스케줄러를 지원하는 벤더 전체 리전리스트 가져오기
OK
GET /asset/us-v1/scheduler/companies/{cmpnId}/regions HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}스케줄러를 지원하는 벤더 전체 계정 정보 가져오기
OK
GET /asset/us-v1/scheduler/companies/{cmpnId}/accounts HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Resource Optimization APIs
Search the top filter area data for each vendor.
Company id
1Action Type(current, history)
currentOK
PUT /asset/us-v1/optimization/summary/filter HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 115
{
"cmpnId": "1",
"actionType": "current",
"keyList": [
{
"vndr": "aws",
"key": "vendors",
"value": "aws",
"selectYn": "enabled"
}
]
}OK
{
"data": {
"vendors": [
{
"vndr": "aws",
"key": "vendors",
"value": "aws",
"selectYn": "enabled"
}
],
"accounts": [
{
"vndr": "aws",
"key": "vendors",
"value": "aws",
"selectYn": "enabled"
}
],
"regions": [
{
"vndr": "aws",
"key": "vendors",
"value": "aws",
"selectYn": "enabled"
}
],
"products": [
{
"vndr": "aws",
"key": "vendors",
"value": "aws",
"selectYn": "enabled"
}
],
"svcGrps": [
{
"vndr": "aws",
"key": "vendors",
"value": "aws",
"selectYn": "enabled"
}
],
"tags": [
{
"vndr": "aws",
"key": "Name",
"value": "test",
"isRequired": true
}
],
"tagGrps": [
{
"vndr": "aws",
"key": "vendors",
"value": "aws",
"selectYn": "enabled"
}
]
},
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Company id
1OK
No content
POST /asset/us-v1/optimization/summary/report-download HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 835
{
"cmpnId": "1",
"vndrList": [
"text"
],
"analyYn": "text",
"idleSetId": "text",
"idleSetNm": "text",
"pageNum": 1,
"limitCnt": 1,
"offset": 1,
"searchText": "text",
"type": "text",
"sortId": "text",
"sortOrder": "text",
"currentRuleSet": "text",
"gridType": "text",
"listType": "text",
"rsrcType": "text",
"excelYn": "text",
"today": "text",
"bzList": [
"text"
],
"awsAccList": [
"text"
],
"awsRgnList": [
"text"
],
"azuAccList": [
"text"
],
"azuRgnList": [
"text"
],
"aliAccList": [
"text"
],
"aliRgnList": [
"text"
],
"gcpAccList": [
"text"
],
"gcpRgnList": [
"text"
],
"ncpAccList": [
"text"
],
"ncpRgnList": [
"text"
],
"chartType": "text",
"rcmd": "text",
"currentCost": 1,
"addRcmdGrp": "text",
"tz": "text",
"rcmdList": [
"text"
],
"cmpnNm": "text",
"rprtType": "text",
"rprtTitleName": "text",
"rprtFlag": "text",
"rprtSbscId": "text",
"rsrcList": [
{
"cnt": 1,
"rsrcType": "text",
"vndr": "text"
}
],
"bzGrpSetId": "text",
"svcGrpList": [
"text"
]
}OK
No content
Queries the last time resource optimization was performed.
Company id
1Optimization category
Resource type
ec2Cloud vendor
List of accounts to filter optimization results for
List of regions to filter optimization results for
List of serviceGroups to filter optimization results for
OK
POST /asset/us-v1/optimization/summary/last-execute HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 201
{
"cmpnId": "1",
"optimizeCategory": "right-sizing",
"resourceType": "ec2",
"vendor": "aws",
"accountList": [
"text"
],
"regionList": [
"text"
],
"serviceGroupList": [
"text"
],
"tagList": [
{
"key": "Name",
"value": [
"text"
]
}
]
}OK
{
"data": {
"lastExecuteDate": "2026-01-01T00:00:00.000Z"
},
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Search the top card area data for each optimization category.
Company id
1Optimization category
Resource type
ec2Cloud vendor
List of accounts to filter optimization results for
List of regions to filter optimization results for
List of serviceGroups to filter optimization results for
OK
POST /asset/us-v1/optimization/summary/card HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 201
{
"cmpnId": "1",
"optimizeCategory": "right-sizing",
"resourceType": "ec2",
"vendor": "aws",
"accountList": [
"text"
],
"regionList": [
"text"
],
"serviceGroupList": [
"text"
],
"tagList": [
{
"key": "Name",
"value": [
"text"
]
}
]
}OK
{
"data": [
{
"resourceType": "text",
"expectedSavingCost": 1,
"expectedSavingCount": 1
}
],
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Search the optimization summary information for each vendor.
Company id
1Optimization category
Resource type
ec2Cloud vendor
List of accounts to filter optimization results for
List of regions to filter optimization results for
List of serviceGroups to filter optimization results for
OK
POST /asset/us-v1/optimization/summary HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 201
{
"cmpnId": "1",
"optimizeCategory": "right-sizing",
"resourceType": "ec2",
"vendor": "aws",
"accountList": [
"text"
],
"regionList": [
"text"
],
"serviceGroupList": [
"text"
],
"tagList": [
{
"key": "Name",
"value": [
"text"
]
}
]
}OK
{
"data": {
"totalCost": 1,
"totalCnt": 1,
"rightsizing": [
{
"resourceType": "text",
"expectedSavingCost": 1,
"expectedSavingCount": 1
}
],
"unused": [
{
"resourceType": "text",
"expectedSavingCost": 1,
"expectedSavingCount": 1
}
]
},
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Perform resource-optimized batch tasks manually.
Company id
1OK
POST /asset/us-v1/optimization/general/analysis HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 14
{
"cmpnId": "1"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Resource Scheduler APIs
스케줄 활성 상태 수정
OK
PUT /asset/us-v1/scheduler/companies/{cmpnId}/schedules/{schdId}/enablement HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 21
{
"enablement": "text"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}선택한 스케줄 가져오기
OK
GET /asset/us-v1/scheduler/companies/{cmpnId}/schedules/{schdId} HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}스케줄 업데이트
Company id
1OK
PUT /asset/us-v1/scheduler/companies/{cmpnId}/schedules/{schdId} HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 346
{
"cmpnId": "1",
"nm": "text",
"vndrId": "aws",
"accId": "text",
"rgnId": "text",
"rsrcType": "text",
"cndtType": "INSTANCE",
"instanceIds": [
"text"
],
"tags": [
{
"tagKey": "text",
"tagVal": "text"
}
],
"tzRgn": "text",
"creaEmail": "text",
"updtEmail": "text",
"schdId": "text",
"schedules": [
{
"taskGroupId": "text",
"daysOfWeek": [
"text"
],
"turnOnTime": "text",
"turnOffTime": "text"
}
]
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}스케줄 삭제
OK
DELETE /asset/us-v1/scheduler/companies/{cmpnId}/schedules/{schdId} HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}스케줄 리스트 가져오기
OK
GET /asset/us-v1/scheduler/companies/{cmpnId}/schedules HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}스케줄 생성
Company id
1OK
POST /asset/us-v1/scheduler/companies/{cmpnId}/schedules HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 346
{
"cmpnId": "1",
"nm": "text",
"vndrId": "aws",
"accId": "text",
"rgnId": "text",
"rsrcType": "text",
"cndtType": "INSTANCE",
"instanceIds": [
"text"
],
"tags": [
{
"tagKey": "text",
"tagVal": "text"
}
],
"tzRgn": "text",
"creaEmail": "text",
"updtEmail": "text",
"schdId": "text",
"schedules": [
{
"taskGroupId": "text",
"daysOfWeek": [
"text"
],
"turnOnTime": "text",
"turnOffTime": "text"
}
]
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}태스크 실행 가져오기
OK
GET /asset/us-v1/scheduler/companies/{cmpnId}/schedules/executions HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Resource Usage APIs
Get aggregated usage summary by account/region/rsrcType
Vendor
awsPossible values: Company id
1Account IDs (optional, filters within authorized accounts)
["123456789"]Region IDs (optional)
["ap-northeast-2"]Resource types (optional, null = all types)
["ec2","ebs"]OK
POST /asset/us-v1/usage/{prvrCd}/summary HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 94
{
"cmpnId": "1",
"accounts": [
"123456789"
],
"regions": [
"ap-northeast-2"
],
"rsrcTypes": [
"ec2",
"ebs"
]
}OK
{
"result": {
"totalCount": 1,
"items": [
{
"cmpnId": "text",
"accId": "text",
"accAlias": "text",
"rgnId": "text",
"rgnNm": "text",
"rsrcType": "text",
"rsrcTypeNm": "text",
"count": 1,
"statusSummary": {
"running": 7,
"stopped": 3
},
"tagSummary": {
"tagged": 12,
"untagged": 0
},
"specSummary": {
"t3.micro": 2,
"m5.large": 1
}
}
]
},
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}View History Usage Grid Data
Vendor
awsPossible values: Company id
1Page Limit Count
1Page Number Count
1Page Offset
1Page Total Count
1From Date
2024-09-11To Date
2024-09-25Sort Column ID
histDtSort Direction
descWhether to download Excel
NResource Type
ec2Vendor
awsHeader or not
YView Type(hour, day, week, month)
dayLanguage Code
enWhether to check history or not
trueSearch Text
testField List
Regions
Service Groups
Accounts
OK
POST /asset/us-v1/usage/{prvrCd}/grid/history HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 402
{
"cmpnId": "1",
"limitCnt": 1,
"pageNum": 1,
"offset": 1,
"totalCnt": 1,
"from": "2024-09-11",
"to": "2024-09-25",
"sortColId": "histDt",
"sortDirection": "desc",
"excelYn": "N",
"rsrcType": "ec2",
"prvrCd": "aws",
"isGetHeader": "Y",
"viewType": "day",
"langCd": "en",
"hasHistoryView": true,
"searchText": "test",
"fieldList": [
"text"
],
"regions": [
"text"
],
"svcGrps": [
"text"
],
"accounts": [
"text"
],
"tags": [
{
"key": "Name",
"value": [
"text"
]
}
]
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}View Current Usage Grid Data
Vendor
awsPossible values: Company id
1Region Id
ap-northeast-2Page Limit Count
1Page Number Count
1Page Offset
1Page Total Count
1Sort Column ID
seqSort Direction
descWhether to download Excel
NResource Type
ec2Vendor
awsView Type(hour, day, week, month)
dayFrom Date
2024-09-11To Date
2024-09-25Search Text
testHeader or not
YField List
Regions
Service Groups
Accounts
Service Group View Id
DefaultLanguage Code
enResource Seq
0Header Type
singleResource or Not
NResource Name
testWhether to check history or not
trueWhether to exclude deleted resources
YOK
POST /asset/us-v1/usage/{prvrCd}/grid/current HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 529
{
"cmpnId": "1",
"rgnId": "ap-northeast-2",
"limitCnt": 1,
"pageNum": 1,
"offset": 1,
"totalCnt": 1,
"sortColId": "seq",
"sortDirection": "desc",
"excelYn": "N",
"rsrcType": "ec2",
"prvrCd": "aws",
"viewType": "day",
"from": "2024-09-11",
"to": "2024-09-25",
"searchText": "test",
"isGetHeader": "Y",
"fieldList": [
"text"
],
"regions": [
"text"
],
"svcGrps": [
"text"
],
"accounts": [
"text"
],
"tags": [
{
"key": "Name",
"value": [
"text"
]
}
],
"svcGrpView": "Default",
"langCd": "en",
"rsrcSeq": "0",
"headerType": "single",
"isResource": "N",
"rsrcNm": "test",
"hasHistoryView": true,
"delChk": "Y"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}View Current Usage Chart Data
Vendor
awsPossible values: Company id
1Resource Type
ec2Vendor
awsResource Name
testRegions
Service Groups
Accounts
Whether to exclude deleted resources
YOK
POST /asset/us-v1/usage/{prvrCd}/chart/pie/current HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 191
{
"cmpnId": "1",
"rsrcType": "ec2",
"prvrCd": "aws",
"rsrcNm": "test",
"regions": [
"text"
],
"svcGrps": [
"text"
],
"accounts": [
"text"
],
"tags": [
{
"key": "Name",
"value": [
"text"
]
}
],
"reqType": "text",
"delChk": "Y"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}View History Usage Chart Data
Vendor
awsPossible values: Company id
1From Date
2024-09-11To Date
2024-09-25Resource Type
ec2Vendor
awsRegions
Service Groups
Accounts
View Type(hour, day, week, month)
dayOK
POST /asset/us-v1/usage/{prvrCd}/chart/history HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 200
{
"cmpnId": "1",
"from": "2024-09-11",
"to": "2024-09-25",
"rsrcType": "ec2",
"prvrCd": "aws",
"regions": [
"text"
],
"svcGrps": [
"text"
],
"accounts": [
"text"
],
"tags": [
{
"key": "Name",
"value": [
"text"
]
}
],
"viewType": "day"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}TagManager APIs
Get tag keys for specified AWS account IDs
OK
POST /asset/us-v1/tag-manager/vendors/{vendor}/tag-keys HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 119
{
"vendor": "aws",
"page": 1,
"size": 1,
"offset": 1,
"accIds": [
"text"
],
"sort": "text",
"sortColId": "text",
"sortDirection": "text"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}OK
POST /asset/us-v1/tag-manager/vendors/{vendor}/tag-keys/{tagKey}/tag-vals HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 119
{
"vendor": "aws",
"page": 1,
"size": 1,
"offset": 1,
"accIds": [
"text"
],
"sort": "text",
"sortColId": "text",
"sortDirection": "text"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Company id
1OK
POST /asset/us-v1/tag-manager/undo-tagging HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 397
{
"cmpnId": "1",
"vendor": "aws",
"taggingId": "text",
"undoId": "text",
"taggingResourceList": [
{
"accId": "text",
"rgnId": "text",
"rsrcType": "text",
"instId": "text",
"arn": "text",
"resourceGroupTaggingYn": "text",
"existTags": [
{
"ANY_ADDITIONAL_PROPERTY": "text"
}
],
"sbscId": "text",
"rsrcGrp": "text",
"id": "text",
"nrn": "text",
"reviewTagList": [
{
"tagKey": "text",
"oldValue": "text",
"newValue": "text"
}
]
}
],
"userEmail": "text"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Company id
1OK
POST /asset/us-v1/tag-manager/tag-processing-status HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 48
{
"cmpnId": "1",
"vendor": "aws",
"taggingId": "text"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Company id
1OK
POST /asset/us-v1/tag-manager/retry-tagging HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 398
{
"cmpnId": "1",
"vendor": "aws",
"taggingId": "text",
"retryId": "text",
"taggingResourceList": [
{
"accId": "text",
"rgnId": "text",
"rsrcType": "text",
"instId": "text",
"arn": "text",
"resourceGroupTaggingYn": "text",
"existTags": [
{
"ANY_ADDITIONAL_PROPERTY": "text"
}
],
"sbscId": "text",
"rsrcGrp": "text",
"id": "text",
"nrn": "text",
"reviewTagList": [
{
"tagKey": "text",
"oldValue": "text",
"newValue": "text"
}
]
}
],
"userEmail": "text"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Company id
1OK
POST /asset/us-v1/tag-manager/resources/tags HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 120
{
"cmpnId": "1",
"vendor": "aws",
"data": [
{
"accId": "text",
"rsrcType": "text",
"rgnId": "text",
"instId": "text",
"tagKey": "text"
}
]
}OK
{
"result": [
{
"tagKey": "text",
"tagValue": [
"text"
],
"isCommon": true
}
],
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Company id
1OK
POST /asset/us-v1/tag-manager/companies/{cmpnId}/vendors/{vendor}/tags HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 746
{
"cmpnId": "1",
"vendor": "aws",
"masterCmpnId": "text",
"page": 1,
"size": 1,
"offset": 1,
"emptyDataFlag": true,
"accId": "text",
"accIds": [
"text"
],
"rgnId": "text",
"rgnIds": [
"text"
],
"instId": "text",
"instIds": [
"text"
],
"rsrcType": "text",
"rsrcTypes": [
"text"
],
"resourceGroups": [
"text"
],
"tagKeys": [
"text"
],
"antiTagKeys": [
"text"
],
"tagType": "text",
"tagTypes": [
"text"
],
"tagTypeCondition": "text",
"tags": [
{
"tagKey": "text",
"tagVal": "text",
"creaDt": "2026-01-01T00:00:00.000Z",
"instId": "text",
"state": "text",
"tagVals": [
"text"
]
}
],
"compliantType": "text",
"compliantTypes": [
"text"
],
"groupId": "text",
"groupIds": [
"text"
],
"sort": "text",
"sortColId": "text",
"sortDirection": "text",
"tagSort": "text",
"sortTagKey": "text",
"search": "text",
"taggingStatus": "text",
"taggingStatuses": [
"text"
]
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Get tagging status and billing tag compliant
Company id
1OK
POST /asset/us-v1/tag-manager/companies/{cmpnId}/vendors/{vendor}/stats HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 746
{
"cmpnId": "1",
"vendor": "aws",
"masterCmpnId": "text",
"page": 1,
"size": 1,
"offset": 1,
"emptyDataFlag": true,
"accId": "text",
"accIds": [
"text"
],
"rgnId": "text",
"rgnIds": [
"text"
],
"instId": "text",
"instIds": [
"text"
],
"rsrcType": "text",
"rsrcTypes": [
"text"
],
"resourceGroups": [
"text"
],
"tagKeys": [
"text"
],
"antiTagKeys": [
"text"
],
"tagType": "text",
"tagTypes": [
"text"
],
"tagTypeCondition": "text",
"tags": [
{
"tagKey": "text",
"tagVal": "text",
"creaDt": "2026-01-01T00:00:00.000Z",
"instId": "text",
"state": "text",
"tagVals": [
"text"
]
}
],
"compliantType": "text",
"compliantTypes": [
"text"
],
"groupId": "text",
"groupIds": [
"text"
],
"sort": "text",
"sortColId": "text",
"sortDirection": "text",
"tagSort": "text",
"sortTagKey": "text",
"search": "text",
"taggingStatus": "text",
"taggingStatuses": [
"text"
]
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Company id
1OK
POST /asset/us-v1/tag-manager/companies/{cmpnId}/vendors/{vendor}/resources HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 746
{
"cmpnId": "1",
"vendor": "aws",
"masterCmpnId": "text",
"page": 1,
"size": 1,
"offset": 1,
"emptyDataFlag": true,
"accId": "text",
"accIds": [
"text"
],
"rgnId": "text",
"rgnIds": [
"text"
],
"instId": "text",
"instIds": [
"text"
],
"rsrcType": "text",
"rsrcTypes": [
"text"
],
"resourceGroups": [
"text"
],
"tagKeys": [
"text"
],
"antiTagKeys": [
"text"
],
"tagType": "text",
"tagTypes": [
"text"
],
"tagTypeCondition": "text",
"tags": [
{
"tagKey": "text",
"tagVal": "text",
"creaDt": "2026-01-01T00:00:00.000Z",
"instId": "text",
"state": "text",
"tagVals": [
"text"
]
}
],
"compliantType": "text",
"compliantTypes": [
"text"
],
"groupId": "text",
"groupIds": [
"text"
],
"sort": "text",
"sortColId": "text",
"sortDirection": "text",
"tagSort": "text",
"sortTagKey": "text",
"search": "text",
"taggingStatus": "text",
"taggingStatuses": [
"text"
]
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Company id
1OK
POST /asset/us-v1/tag-manager/companies/{cmpnId}/vendors/{vendor}/resources/email-export HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 746
{
"cmpnId": "1",
"vendor": "aws",
"masterCmpnId": "text",
"page": 1,
"size": 1,
"offset": 1,
"emptyDataFlag": true,
"accId": "text",
"accIds": [
"text"
],
"rgnId": "text",
"rgnIds": [
"text"
],
"instId": "text",
"instIds": [
"text"
],
"rsrcType": "text",
"rsrcTypes": [
"text"
],
"resourceGroups": [
"text"
],
"tagKeys": [
"text"
],
"antiTagKeys": [
"text"
],
"tagType": "text",
"tagTypes": [
"text"
],
"tagTypeCondition": "text",
"tags": [
{
"tagKey": "text",
"tagVal": "text",
"creaDt": "2026-01-01T00:00:00.000Z",
"instId": "text",
"state": "text",
"tagVals": [
"text"
]
}
],
"compliantType": "text",
"compliantTypes": [
"text"
],
"groupId": "text",
"groupIds": [
"text"
],
"sort": "text",
"sortColId": "text",
"sortDirection": "text",
"tagSort": "text",
"sortTagKey": "text",
"search": "text",
"taggingStatus": "text",
"taggingStatuses": [
"text"
]
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Company id
1OK
POST /asset/us-v1/tag-manager/companies/{cmpnId}/vendors/{vendor}/resources-by-tags HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 746
{
"cmpnId": "1",
"vendor": "aws",
"masterCmpnId": "text",
"page": 1,
"size": 1,
"offset": 1,
"emptyDataFlag": true,
"accId": "text",
"accIds": [
"text"
],
"rgnId": "text",
"rgnIds": [
"text"
],
"instId": "text",
"instIds": [
"text"
],
"rsrcType": "text",
"rsrcTypes": [
"text"
],
"resourceGroups": [
"text"
],
"tagKeys": [
"text"
],
"antiTagKeys": [
"text"
],
"tagType": "text",
"tagTypes": [
"text"
],
"tagTypeCondition": "text",
"tags": [
{
"tagKey": "text",
"tagVal": "text",
"creaDt": "2026-01-01T00:00:00.000Z",
"instId": "text",
"state": "text",
"tagVals": [
"text"
]
}
],
"compliantType": "text",
"compliantTypes": [
"text"
],
"groupId": "text",
"groupIds": [
"text"
],
"sort": "text",
"sortColId": "text",
"sortDirection": "text",
"tagSort": "text",
"sortTagKey": "text",
"search": "text",
"taggingStatus": "text",
"taggingStatuses": [
"text"
]
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Company id
1OK
POST /asset/us-v1/tag-manager/companies/{cmpnId}/vendors/{vendor}/groups HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 746
{
"cmpnId": "1",
"vendor": "aws",
"masterCmpnId": "text",
"page": 1,
"size": 1,
"offset": 1,
"emptyDataFlag": true,
"accId": "text",
"accIds": [
"text"
],
"rgnId": "text",
"rgnIds": [
"text"
],
"instId": "text",
"instIds": [
"text"
],
"rsrcType": "text",
"rsrcTypes": [
"text"
],
"resourceGroups": [
"text"
],
"tagKeys": [
"text"
],
"antiTagKeys": [
"text"
],
"tagType": "text",
"tagTypes": [
"text"
],
"tagTypeCondition": "text",
"tags": [
{
"tagKey": "text",
"tagVal": "text",
"creaDt": "2026-01-01T00:00:00.000Z",
"instId": "text",
"state": "text",
"tagVals": [
"text"
]
}
],
"compliantType": "text",
"compliantTypes": [
"text"
],
"groupId": "text",
"groupIds": [
"text"
],
"sort": "text",
"sortColId": "text",
"sortDirection": "text",
"tagSort": "text",
"sortTagKey": "text",
"search": "text",
"taggingStatus": "text",
"taggingStatuses": [
"text"
]
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Company id
1OK
POST /asset/us-v1/tag-manager/add-tag HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 381
{
"cmpnId": "1",
"vendor": "aws",
"taggingId": "text",
"taggingResourceList": [
{
"accId": "text",
"rgnId": "text",
"rsrcType": "text",
"instId": "text",
"arn": "text",
"resourceGroupTaggingYn": "text",
"existTags": [
{
"ANY_ADDITIONAL_PROPERTY": "text"
}
],
"sbscId": "text",
"rsrcGrp": "text",
"id": "text",
"nrn": "text",
"reviewTagList": [
{
"tagKey": "text",
"oldValue": "text",
"newValue": "text"
}
]
}
],
"userEmail": "text"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Company id
1OK
POST /asset/us-v1/tag-manager/update-tag HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 381
{
"cmpnId": "1",
"vendor": "aws",
"taggingId": "text",
"taggingResourceList": [
{
"accId": "text",
"rgnId": "text",
"rsrcType": "text",
"instId": "text",
"arn": "text",
"resourceGroupTaggingYn": "text",
"existTags": [
{
"ANY_ADDITIONAL_PROPERTY": "text"
}
],
"sbscId": "text",
"rsrcGrp": "text",
"id": "text",
"nrn": "text",
"reviewTagList": [
{
"tagKey": "text",
"oldValue": "text",
"newValue": "text"
}
]
}
],
"userEmail": "text"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}OK
GET /asset/us-v1/tag-manager/companies/{cmpnId}/vendors/{vendor}/tag-keys HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}OK
GET /asset/us-v1/tag-manager/companies/{cmpnId}/vendors/{vendor}/tag-keys/{tagKey}/tag-vals HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Get tag compliance and status statistics
OK
GET /asset/us-v1/tag-manager/companies/{cmpnId}/vendors/{vendor}/stats/tag HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Get tag compliance and status statistics
OK
GET /asset/us-v1/tag-manager/companies/{cmpnId}/vendors/{vendor}/stats/resource HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}OK
GET /asset/us-v1/tag-manager/companies/{cmpnId}/vendors/{vendor}/groups/{groupId}/resources HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Get required tags information for AWS
OK
GET /asset/us-v1/tag-manager/companies/{cmpnId}/vendors/{vendor}/billing-tags HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}awsOK
GET /asset/us-v1/tag-manager/companies/{cmpnId}/histories HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}awsOK
GET /asset/us-v1/tag-manager/companies/{cmpnId}/histories/{historyId} HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}TagManagerV2 APIs
Company id
1OK
POST /asset/us-v1/tag-manager/v2/master-companies/{masterCmpnId}/vendors/{vendor}/stats HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 746
{
"cmpnId": "1",
"vendor": "aws",
"masterCmpnId": "text",
"page": 1,
"size": 1,
"offset": 1,
"emptyDataFlag": true,
"accId": "text",
"accIds": [
"text"
],
"rgnId": "text",
"rgnIds": [
"text"
],
"instId": "text",
"instIds": [
"text"
],
"rsrcType": "text",
"rsrcTypes": [
"text"
],
"resourceGroups": [
"text"
],
"tagKeys": [
"text"
],
"antiTagKeys": [
"text"
],
"tagType": "text",
"tagTypes": [
"text"
],
"tagTypeCondition": "text",
"tags": [
{
"tagKey": "text",
"tagVal": "text",
"creaDt": "2026-01-01T00:00:00.000Z",
"instId": "text",
"state": "text",
"tagVals": [
"text"
]
}
],
"compliantType": "text",
"compliantTypes": [
"text"
],
"groupId": "text",
"groupIds": [
"text"
],
"sort": "text",
"sortColId": "text",
"sortDirection": "text",
"tagSort": "text",
"sortTagKey": "text",
"search": "text",
"taggingStatus": "text",
"taggingStatuses": [
"text"
]
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}master_cmpn_id 단위 billing_tag 검증으로 리소스 조회
Company id
1OK
POST /asset/us-v1/tag-manager/v2/master-companies/{masterCmpnId}/vendors/{vendor}/resources HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 746
{
"cmpnId": "1",
"vendor": "aws",
"masterCmpnId": "text",
"page": 1,
"size": 1,
"offset": 1,
"emptyDataFlag": true,
"accId": "text",
"accIds": [
"text"
],
"rgnId": "text",
"rgnIds": [
"text"
],
"instId": "text",
"instIds": [
"text"
],
"rsrcType": "text",
"rsrcTypes": [
"text"
],
"resourceGroups": [
"text"
],
"tagKeys": [
"text"
],
"antiTagKeys": [
"text"
],
"tagType": "text",
"tagTypes": [
"text"
],
"tagTypeCondition": "text",
"tags": [
{
"tagKey": "text",
"tagVal": "text",
"creaDt": "2026-01-01T00:00:00.000Z",
"instId": "text",
"state": "text",
"tagVals": [
"text"
]
}
],
"compliantType": "text",
"compliantTypes": [
"text"
],
"groupId": "text",
"groupIds": [
"text"
],
"sort": "text",
"sortColId": "text",
"sortDirection": "text",
"tagSort": "text",
"sortTagKey": "text",
"search": "text",
"taggingStatus": "text",
"taggingStatuses": [
"text"
]
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Company id
1OK
POST /asset/us-v1/tag-manager/v2/master-companies/{masterCmpnId}/vendors/{vendor}/resources/email-export HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 746
{
"cmpnId": "1",
"vendor": "aws",
"masterCmpnId": "text",
"page": 1,
"size": 1,
"offset": 1,
"emptyDataFlag": true,
"accId": "text",
"accIds": [
"text"
],
"rgnId": "text",
"rgnIds": [
"text"
],
"instId": "text",
"instIds": [
"text"
],
"rsrcType": "text",
"rsrcTypes": [
"text"
],
"resourceGroups": [
"text"
],
"tagKeys": [
"text"
],
"antiTagKeys": [
"text"
],
"tagType": "text",
"tagTypes": [
"text"
],
"tagTypeCondition": "text",
"tags": [
{
"tagKey": "text",
"tagVal": "text",
"creaDt": "2026-01-01T00:00:00.000Z",
"instId": "text",
"state": "text",
"tagVals": [
"text"
]
}
],
"compliantType": "text",
"compliantTypes": [
"text"
],
"groupId": "text",
"groupIds": [
"text"
],
"sort": "text",
"sortColId": "text",
"sortDirection": "text",
"tagSort": "text",
"sortTagKey": "text",
"search": "text",
"taggingStatus": "text",
"taggingStatuses": [
"text"
]
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}master_cmpn_id 단위 billing_tag 조회
OK
GET /asset/us-v1/tag-manager/v2/master-companies/{masterCmpnId}/vendors/{vendor}/billing-tags HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Virtual Tag ES APIs
OK
POST /asset/us-v1/virtual-tags/value-drafts?masterCmpnId=text HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 134
{
"anchorProviderKey": {
"provider": "text",
"providerTagKey": "text"
},
"selectedProviderKeys": [
{
"provider": "text",
"providerTagKey": "text"
}
]
}OK
{
"summary": {
"createdVirtualValues": 1,
"totalProviderValues": 1,
"mappedProviderValues": 1,
"unmappedProviderValues": 1
},
"drafts": [
{
"draftId": "text",
"virtualValueName": "text",
"mappedProviderValues": [
{
"provider": "text",
"providerTagKey": "text",
"providerTagValue": "text"
}
],
"providers": [
"text"
],
"mappedCount": 1,
"others": true
}
]
}OK
POST /asset/us-v1/virtual-tags/provider-values/search?masterCmpnId=text HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 96
{
"providerKeys": [
{
"provider": "text",
"providerTagKey": "text"
}
],
"search": "text",
"page": 1,
"size": 1
}OK
{
"content": [
{
"provider": "text",
"providerTagKey": "text",
"providerTagValue": "text",
"currentMappedVirtualValue": "text"
}
],
"totalElements": 1,
"totalPages": 1,
"page": 1,
"size": 1
}20OK
GET /asset/us-v1/virtual-tags/available-provider-keys?masterCmpnId=text HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
[
{
"provider": "text",
"providerTagKey": "text",
"isCostAllocationTag": true,
"valueCount": 1
}
]OK
GET /asset/us-v1/virtual-tags/anchor-values?provider=text&providerTagKey=text&masterCmpnId=text HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
[
"text"
]VirtualTagResource APIs
Download CSV file of all resources mapped to a virtual tag value
OK
No content
POST /asset/us-v1/virtual-tags/master/{masterCmpnId}/values/{virtualValueId}/resources/export HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 52
{
"search": "text",
"sortBy": "text",
"sortOrder": "text"
}OK
No content
Get paginated resource list mapped to a virtual tag value
120instIdascOK
GET /asset/us-v1/virtual-tags/master/{masterCmpnId}/values/{virtualValueId}/resources HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}custom-report-controller APIs
Company id
1OK
POST /asset/us-v1/customreports/viewlist HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 569
{
"cmpnId": "1",
"creaId": "text",
"custmRprtId": "text",
"custmRprtNm": "text",
"custmRprtCfg": "text",
"datasetType": "text",
"vndr": "text",
"rsrcType": "text",
"svcGrpView": "text",
"mtrc": "text",
"duraType": "text",
"duraFrom": "text",
"duraTo": "text",
"duraCompFrom": "text",
"duraCompTo": "text",
"dimX": "text",
"dimY": "text",
"creaDt": "text",
"updtDt": "text",
"favYn": "text",
"creaIpAddr": "text",
"updtIpAddr": "text",
"langCd": "text",
"accounts": [
"text"
],
"isNew": "text",
"tblNm01": "text",
"tblNm02": "text",
"tz": "text",
"vndrList": [
"text"
],
"dfltYn": "text",
"viewType": "text",
"type": "text",
"unit": "text"
}OK
{
"result": [
{
"ANY_ADDITIONAL_PROPERTY": "text"
}
],
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Company id
1OK
POST /asset/us-v1/customreports/save HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 569
{
"cmpnId": "1",
"creaId": "text",
"custmRprtId": "text",
"custmRprtNm": "text",
"custmRprtCfg": "text",
"datasetType": "text",
"vndr": "text",
"rsrcType": "text",
"svcGrpView": "text",
"mtrc": "text",
"duraType": "text",
"duraFrom": "text",
"duraTo": "text",
"duraCompFrom": "text",
"duraCompTo": "text",
"dimX": "text",
"dimY": "text",
"creaDt": "text",
"updtDt": "text",
"favYn": "text",
"creaIpAddr": "text",
"updtIpAddr": "text",
"langCd": "text",
"accounts": [
"text"
],
"isNew": "text",
"tblNm01": "text",
"tblNm02": "text",
"tz": "text",
"vndrList": [
"text"
],
"dfltYn": "text",
"viewType": "text",
"type": "text",
"unit": "text"
}OK
{
"result": {
"siteCd": "text",
"cmpnId": "text",
"creaId": "text",
"custmRprtId": "text",
"custmRprtNm": "text",
"custmRprtCfg": {},
"custmRprtDsFileLink": "text",
"datasetType": "text",
"vndr": "text",
"rsrcType": "text",
"svcGrpView": "text",
"mtrc": "text",
"duraType": "text",
"duraFrom": "text",
"duraTo": "text",
"duraCompFrom": "text",
"duraCompTo": "text",
"creaDt": "text",
"updtDt": "text",
"favYn": "text",
"dfltYn": "text",
"tz": "text",
"updateTime": "text"
},
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Company id
1OK
POST /asset/us-v1/customreports/list HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 569
{
"cmpnId": "1",
"creaId": "text",
"custmRprtId": "text",
"custmRprtNm": "text",
"custmRprtCfg": "text",
"datasetType": "text",
"vndr": "text",
"rsrcType": "text",
"svcGrpView": "text",
"mtrc": "text",
"duraType": "text",
"duraFrom": "text",
"duraTo": "text",
"duraCompFrom": "text",
"duraCompTo": "text",
"dimX": "text",
"dimY": "text",
"creaDt": "text",
"updtDt": "text",
"favYn": "text",
"creaIpAddr": "text",
"updtIpAddr": "text",
"langCd": "text",
"accounts": [
"text"
],
"isNew": "text",
"tblNm01": "text",
"tblNm02": "text",
"tz": "text",
"vndrList": [
"text"
],
"dfltYn": "text",
"viewType": "text",
"type": "text",
"unit": "text"
}OK
{
"result": {
"ANY_ADDITIONAL_PROPERTY": [
{
"siteCd": "text",
"cmpnId": "text",
"creaId": "text",
"custmRprtId": "text",
"custmRprtNm": "text",
"custmRprtCfg": {},
"custmRprtDsFileLink": "text",
"datasetType": "text",
"vndr": "text",
"rsrcType": "text",
"svcGrpView": "text",
"mtrc": "text",
"duraType": "text",
"duraFrom": "text",
"duraTo": "text",
"duraCompFrom": "text",
"duraCompTo": "text",
"creaDt": "text",
"updtDt": "text",
"favYn": "text",
"dfltYn": "text",
"tz": "text",
"updateTime": "text"
}
]
},
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Company id
1OK
POST /asset/us-v1/customreports/favorite HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 569
{
"cmpnId": "1",
"creaId": "text",
"custmRprtId": "text",
"custmRprtNm": "text",
"custmRprtCfg": "text",
"datasetType": "text",
"vndr": "text",
"rsrcType": "text",
"svcGrpView": "text",
"mtrc": "text",
"duraType": "text",
"duraFrom": "text",
"duraTo": "text",
"duraCompFrom": "text",
"duraCompTo": "text",
"dimX": "text",
"dimY": "text",
"creaDt": "text",
"updtDt": "text",
"favYn": "text",
"creaIpAddr": "text",
"updtIpAddr": "text",
"langCd": "text",
"accounts": [
"text"
],
"isNew": "text",
"tblNm01": "text",
"tblNm02": "text",
"tz": "text",
"vndrList": [
"text"
],
"dfltYn": "text",
"viewType": "text",
"type": "text",
"unit": "text"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Company id
1OK
POST /asset/us-v1/customreports/delete HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 569
{
"cmpnId": "1",
"creaId": "text",
"custmRprtId": "text",
"custmRprtNm": "text",
"custmRprtCfg": "text",
"datasetType": "text",
"vndr": "text",
"rsrcType": "text",
"svcGrpView": "text",
"mtrc": "text",
"duraType": "text",
"duraFrom": "text",
"duraTo": "text",
"duraCompFrom": "text",
"duraCompTo": "text",
"dimX": "text",
"dimY": "text",
"creaDt": "text",
"updtDt": "text",
"favYn": "text",
"creaIpAddr": "text",
"updtIpAddr": "text",
"langCd": "text",
"accounts": [
"text"
],
"isNew": "text",
"tblNm01": "text",
"tblNm02": "text",
"tz": "text",
"vndrList": [
"text"
],
"dfltYn": "text",
"viewType": "text",
"type": "text",
"unit": "text"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Company id
1OK
POST /asset/us-v1/customreports/checkdup HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 569
{
"cmpnId": "1",
"creaId": "text",
"custmRprtId": "text",
"custmRprtNm": "text",
"custmRprtCfg": "text",
"datasetType": "text",
"vndr": "text",
"rsrcType": "text",
"svcGrpView": "text",
"mtrc": "text",
"duraType": "text",
"duraFrom": "text",
"duraTo": "text",
"duraCompFrom": "text",
"duraCompTo": "text",
"dimX": "text",
"dimY": "text",
"creaDt": "text",
"updtDt": "text",
"favYn": "text",
"creaIpAddr": "text",
"updtIpAddr": "text",
"langCd": "text",
"accounts": [
"text"
],
"isNew": "text",
"tblNm01": "text",
"tblNm02": "text",
"tz": "text",
"vndrList": [
"text"
],
"dfltYn": "text",
"viewType": "text",
"type": "text",
"unit": "text"
}OK
{
"result": "text",
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}custom-report-data-source-controller APIs
Company id
1OK
POST /asset/us-v1/customreports/datasource/{reportType} HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 569
{
"cmpnId": "1",
"creaId": "text",
"custmRprtId": "text",
"custmRprtNm": "text",
"custmRprtCfg": "text",
"datasetType": "text",
"vndr": "text",
"rsrcType": "text",
"svcGrpView": "text",
"mtrc": "text",
"duraType": "text",
"duraFrom": "text",
"duraTo": "text",
"duraCompFrom": "text",
"duraCompTo": "text",
"dimX": "text",
"dimY": "text",
"creaDt": "text",
"updtDt": "text",
"favYn": "text",
"creaIpAddr": "text",
"updtIpAddr": "text",
"langCd": "text",
"accounts": [
"text"
],
"isNew": "text",
"tblNm01": "text",
"tblNm02": "text",
"tz": "text",
"vndrList": [
"text"
],
"dfltYn": "text",
"viewType": "text",
"type": "text",
"unit": "text"
}OK
{
"result": {
"data": [
{
"ANY_ADDITIONAL_PROPERTY": {}
}
],
"slice": {
"columns": [
{
"uniqueName": "text",
"caption": "text",
"dimensionName": "text",
"sort": "text"
}
],
"rows": [
{
"uniqueName": "text",
"caption": "text",
"dimensionName": "text",
"sort": "text"
}
],
"measures": [
{
"uniqueName": "text",
"grandTotalCaption": "text",
"caption": "text",
"aggregation": "text",
"format": "text",
"availableAggregations": [
"text"
]
}
],
"expands": {
"expandAll": true
},
"drills": {
"drillAll": true
}
},
"options": {
"viewType": "text",
"grid": {
"type": "text",
"showFilter": true,
"showHeaders": true,
"fitGridlines": true,
"showTotals": "text",
"showGrandTotals": "text",
"showExtraTotalLabels": true,
"showHierarchies": true,
"showHierarchyCaptions": true,
"showReportFiltersArea": true
},
"showAggregationLabels": true,
"showAggregations": true,
"sorting": "text",
"defaultHierarchySortName": "text"
}
},
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}external-aws-controller APIs
Company id
1OK
POST /asset/us-v1/general/rsrcopti/analysis HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 697
{
"cmpnId": "1",
"vndr": "text",
"analyYn": "text",
"idleSetId": "text",
"idleSetNm": "text",
"pageNum": 1,
"limitCnt": 1,
"offset": 1,
"searchText": "text",
"type": "text",
"sortId": "text",
"sortOrder": "text",
"currentRuleSet": "text",
"gridType": "text",
"listType": "text",
"rsrcType": "text",
"excelYn": "text",
"today": "text",
"accList": [
"text"
],
"bzList": [
"text"
],
"rgnList": [
"text"
],
"chartType": "text",
"rcmd": "text",
"currentCost": 1,
"addRcmdGrp": "text",
"tz": "text",
"rcmdList": [
"text"
],
"vndrList": [
"text"
],
"rprtFlag": "text",
"accOrigine": "text",
"bzGrpSetId": "text",
"batchYn": "text",
"rprtSbscCcl": "text",
"rprtSbscCclRng": "text",
"utcTimeStamp": "text",
"rprtSbscCclTime": "text",
"unusedRsrcTypes": "text",
"rightSizingRsrcTypes": "text"
}OK
trueperformance-grid-chart-controller APIs
Company id
1OK
POST /asset/us-v1/performance/{prvrCd}/{rsrcType}/grid/history HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1019
{
"cmpnId": "1",
"limitCnt": 1,
"pageNum": 1,
"offset": 1,
"totalCnt": 1,
"sortColId": "text",
"sortDirection": "text",
"excelYn": "text",
"rsrcType": "text",
"prvrCd": "text",
"viewType": "text",
"from": "text",
"to": "text",
"tz": "text",
"searchText": "text",
"isGetHeader": "text",
"fieldList": [
"text"
],
"searchClass": {},
"regions": [
"text"
],
"svcGrps": [
"text"
],
"accounts": [
"text"
],
"tags": [
{
"key": "Name",
"value": [
"text"
]
}
],
"svcGrpView": "text",
"langCd": "text",
"chartNum": 1,
"nmSpce": "text",
"mtrc": "text",
"section": "text",
"type": "text",
"reqType": "text",
"currentTime": "text",
"projectCd": "text",
"timeStmp": "text",
"tableName": "text",
"tableViewType": "text",
"chart1TableName": "text",
"chart2TableName": "text",
"chart3TableName": "text",
"startStat": "text",
"stopStat": "text",
"lineCnt": "text",
"changeUnit": "text",
"baseTable": "text",
"tableNmPiece": "text",
"metricUnits": [
"text"
],
"metricDataTypes": [
"text"
],
"metricTitles": [
"text"
],
"metricTableNames": [
"text"
],
"changeUnits": [
"text"
],
"valueField": [
"text"
],
"titleField": [
"text"
],
"pname": "text",
"oid": "text",
"oname": "text"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Company id
1OK
POST /asset/us-v1/performance/{prvrCd}/grid/history HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1019
{
"cmpnId": "1",
"limitCnt": 1,
"pageNum": 1,
"offset": 1,
"totalCnt": 1,
"sortColId": "text",
"sortDirection": "text",
"excelYn": "text",
"rsrcType": "text",
"prvrCd": "text",
"viewType": "text",
"from": "text",
"to": "text",
"tz": "text",
"searchText": "text",
"isGetHeader": "text",
"fieldList": [
"text"
],
"searchClass": {},
"regions": [
"text"
],
"svcGrps": [
"text"
],
"accounts": [
"text"
],
"tags": [
{
"key": "Name",
"value": [
"text"
]
}
],
"svcGrpView": "text",
"langCd": "text",
"chartNum": 1,
"nmSpce": "text",
"mtrc": "text",
"section": "text",
"type": "text",
"reqType": "text",
"currentTime": "text",
"projectCd": "text",
"timeStmp": "text",
"tableName": "text",
"tableViewType": "text",
"chart1TableName": "text",
"chart2TableName": "text",
"chart3TableName": "text",
"startStat": "text",
"stopStat": "text",
"lineCnt": "text",
"changeUnit": "text",
"baseTable": "text",
"tableNmPiece": "text",
"metricUnits": [
"text"
],
"metricDataTypes": [
"text"
],
"metricTitles": [
"text"
],
"metricTableNames": [
"text"
],
"changeUnits": [
"text"
],
"valueField": [
"text"
],
"titleField": [
"text"
],
"pname": "text",
"oid": "text",
"oname": "text"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Company id
1OK
POST /asset/us-v1/performance/{prvrCd}/{rsrcType}/grid/current HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1019
{
"cmpnId": "1",
"limitCnt": 1,
"pageNum": 1,
"offset": 1,
"totalCnt": 1,
"sortColId": "text",
"sortDirection": "text",
"excelYn": "text",
"rsrcType": "text",
"prvrCd": "text",
"viewType": "text",
"from": "text",
"to": "text",
"tz": "text",
"searchText": "text",
"isGetHeader": "text",
"fieldList": [
"text"
],
"searchClass": {},
"regions": [
"text"
],
"svcGrps": [
"text"
],
"accounts": [
"text"
],
"tags": [
{
"key": "Name",
"value": [
"text"
]
}
],
"svcGrpView": "text",
"langCd": "text",
"chartNum": 1,
"nmSpce": "text",
"mtrc": "text",
"section": "text",
"type": "text",
"reqType": "text",
"currentTime": "text",
"projectCd": "text",
"timeStmp": "text",
"tableName": "text",
"tableViewType": "text",
"chart1TableName": "text",
"chart2TableName": "text",
"chart3TableName": "text",
"startStat": "text",
"stopStat": "text",
"lineCnt": "text",
"changeUnit": "text",
"baseTable": "text",
"tableNmPiece": "text",
"metricUnits": [
"text"
],
"metricDataTypes": [
"text"
],
"metricTitles": [
"text"
],
"metricTableNames": [
"text"
],
"changeUnits": [
"text"
],
"valueField": [
"text"
],
"titleField": [
"text"
],
"pname": "text",
"oid": "text",
"oname": "text"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Company id
1OK
POST /asset/us-v1/performance/{prvrCd}/grid/current HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1019
{
"cmpnId": "1",
"limitCnt": 1,
"pageNum": 1,
"offset": 1,
"totalCnt": 1,
"sortColId": "text",
"sortDirection": "text",
"excelYn": "text",
"rsrcType": "text",
"prvrCd": "text",
"viewType": "text",
"from": "text",
"to": "text",
"tz": "text",
"searchText": "text",
"isGetHeader": "text",
"fieldList": [
"text"
],
"searchClass": {},
"regions": [
"text"
],
"svcGrps": [
"text"
],
"accounts": [
"text"
],
"tags": [
{
"key": "Name",
"value": [
"text"
]
}
],
"svcGrpView": "text",
"langCd": "text",
"chartNum": 1,
"nmSpce": "text",
"mtrc": "text",
"section": "text",
"type": "text",
"reqType": "text",
"currentTime": "text",
"projectCd": "text",
"timeStmp": "text",
"tableName": "text",
"tableViewType": "text",
"chart1TableName": "text",
"chart2TableName": "text",
"chart3TableName": "text",
"startStat": "text",
"stopStat": "text",
"lineCnt": "text",
"changeUnit": "text",
"baseTable": "text",
"tableNmPiece": "text",
"metricUnits": [
"text"
],
"metricDataTypes": [
"text"
],
"metricTitles": [
"text"
],
"metricTableNames": [
"text"
],
"changeUnits": [
"text"
],
"valueField": [
"text"
],
"titleField": [
"text"
],
"pname": "text",
"oid": "text",
"oname": "text"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Company id
1OK
POST /asset/us-v1/performance/{prvrCd}/{rsrcType}/chart/pie/current HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1019
{
"cmpnId": "1",
"limitCnt": 1,
"pageNum": 1,
"offset": 1,
"totalCnt": 1,
"sortColId": "text",
"sortDirection": "text",
"excelYn": "text",
"rsrcType": "text",
"prvrCd": "text",
"viewType": "text",
"from": "text",
"to": "text",
"tz": "text",
"searchText": "text",
"isGetHeader": "text",
"fieldList": [
"text"
],
"searchClass": {},
"regions": [
"text"
],
"svcGrps": [
"text"
],
"accounts": [
"text"
],
"tags": [
{
"key": "Name",
"value": [
"text"
]
}
],
"svcGrpView": "text",
"langCd": "text",
"chartNum": 1,
"nmSpce": "text",
"mtrc": "text",
"section": "text",
"type": "text",
"reqType": "text",
"currentTime": "text",
"projectCd": "text",
"timeStmp": "text",
"tableName": "text",
"tableViewType": "text",
"chart1TableName": "text",
"chart2TableName": "text",
"chart3TableName": "text",
"startStat": "text",
"stopStat": "text",
"lineCnt": "text",
"changeUnit": "text",
"baseTable": "text",
"tableNmPiece": "text",
"metricUnits": [
"text"
],
"metricDataTypes": [
"text"
],
"metricTitles": [
"text"
],
"metricTableNames": [
"text"
],
"changeUnits": [
"text"
],
"valueField": [
"text"
],
"titleField": [
"text"
],
"pname": "text",
"oid": "text",
"oname": "text"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Company id
1OK
POST /asset/us-v1/performance/{prvrCd}/chart/pie/current HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1019
{
"cmpnId": "1",
"limitCnt": 1,
"pageNum": 1,
"offset": 1,
"totalCnt": 1,
"sortColId": "text",
"sortDirection": "text",
"excelYn": "text",
"rsrcType": "text",
"prvrCd": "text",
"viewType": "text",
"from": "text",
"to": "text",
"tz": "text",
"searchText": "text",
"isGetHeader": "text",
"fieldList": [
"text"
],
"searchClass": {},
"regions": [
"text"
],
"svcGrps": [
"text"
],
"accounts": [
"text"
],
"tags": [
{
"key": "Name",
"value": [
"text"
]
}
],
"svcGrpView": "text",
"langCd": "text",
"chartNum": 1,
"nmSpce": "text",
"mtrc": "text",
"section": "text",
"type": "text",
"reqType": "text",
"currentTime": "text",
"projectCd": "text",
"timeStmp": "text",
"tableName": "text",
"tableViewType": "text",
"chart1TableName": "text",
"chart2TableName": "text",
"chart3TableName": "text",
"startStat": "text",
"stopStat": "text",
"lineCnt": "text",
"changeUnit": "text",
"baseTable": "text",
"tableNmPiece": "text",
"metricUnits": [
"text"
],
"metricDataTypes": [
"text"
],
"metricTitles": [
"text"
],
"metricTableNames": [
"text"
],
"changeUnits": [
"text"
],
"valueField": [
"text"
],
"titleField": [
"text"
],
"pname": "text",
"oid": "text",
"oname": "text"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Company id
1OK
POST /asset/us-v1/performance/{prvrCd}/{rsrcType}/chart/line/history HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1019
{
"cmpnId": "1",
"limitCnt": 1,
"pageNum": 1,
"offset": 1,
"totalCnt": 1,
"sortColId": "text",
"sortDirection": "text",
"excelYn": "text",
"rsrcType": "text",
"prvrCd": "text",
"viewType": "text",
"from": "text",
"to": "text",
"tz": "text",
"searchText": "text",
"isGetHeader": "text",
"fieldList": [
"text"
],
"searchClass": {},
"regions": [
"text"
],
"svcGrps": [
"text"
],
"accounts": [
"text"
],
"tags": [
{
"key": "Name",
"value": [
"text"
]
}
],
"svcGrpView": "text",
"langCd": "text",
"chartNum": 1,
"nmSpce": "text",
"mtrc": "text",
"section": "text",
"type": "text",
"reqType": "text",
"currentTime": "text",
"projectCd": "text",
"timeStmp": "text",
"tableName": "text",
"tableViewType": "text",
"chart1TableName": "text",
"chart2TableName": "text",
"chart3TableName": "text",
"startStat": "text",
"stopStat": "text",
"lineCnt": "text",
"changeUnit": "text",
"baseTable": "text",
"tableNmPiece": "text",
"metricUnits": [
"text"
],
"metricDataTypes": [
"text"
],
"metricTitles": [
"text"
],
"metricTableNames": [
"text"
],
"changeUnits": [
"text"
],
"valueField": [
"text"
],
"titleField": [
"text"
],
"pname": "text",
"oid": "text",
"oname": "text"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}Company id
1OK
POST /asset/us-v1/performance/{prvrCd}/chart/line/history HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1019
{
"cmpnId": "1",
"limitCnt": 1,
"pageNum": 1,
"offset": 1,
"totalCnt": 1,
"sortColId": "text",
"sortDirection": "text",
"excelYn": "text",
"rsrcType": "text",
"prvrCd": "text",
"viewType": "text",
"from": "text",
"to": "text",
"tz": "text",
"searchText": "text",
"isGetHeader": "text",
"fieldList": [
"text"
],
"searchClass": {},
"regions": [
"text"
],
"svcGrps": [
"text"
],
"accounts": [
"text"
],
"tags": [
{
"key": "Name",
"value": [
"text"
]
}
],
"svcGrpView": "text",
"langCd": "text",
"chartNum": 1,
"nmSpce": "text",
"mtrc": "text",
"section": "text",
"type": "text",
"reqType": "text",
"currentTime": "text",
"projectCd": "text",
"timeStmp": "text",
"tableName": "text",
"tableViewType": "text",
"chart1TableName": "text",
"chart2TableName": "text",
"chart3TableName": "text",
"startStat": "text",
"stopStat": "text",
"lineCnt": "text",
"changeUnit": "text",
"baseTable": "text",
"tableNmPiece": "text",
"metricUnits": [
"text"
],
"metricDataTypes": [
"text"
],
"metricTitles": [
"text"
],
"metricTableNames": [
"text"
],
"changeUnits": [
"text"
],
"valueField": [
"text"
],
"titleField": [
"text"
],
"pname": "text",
"oid": "text",
"oname": "text"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}report-controller APIs
OK
POST /asset/us-v1/subscriptions HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 356
{
"siteCd": "text",
"cmpnId": "text",
"userId": "text",
"userEmail": "text",
"rprtSbscId": "text",
"rprtSbscTypeCd": "text",
"fileId": "text",
"fromDt": "text",
"toDt": "text",
"timezone": "text",
"searchTxt": "text",
"regFlag": "text",
"sortColumn": "text",
"sortOption": "text",
"orderBy": "text",
"page": 1,
"startRow": 1,
"pagePerSize": 1,
"rprtSbscIdList": [
"text"
],
"activeProfile": "text"
}OK
{
"result": [
{
"no": "text",
"siteCd": "text",
"cmpnId": "text",
"rprtSbscId": "text",
"rprtSbscTitle": "text",
"rprtSbscTypeCd": "text",
"rprtSbscCcl": "text",
"rprtSbscCclMonthly": "text",
"rprtSbscCclWeekly": "text",
"rprtSbscCclTime": "text",
"rcptCnt": "text",
"lastSendDate": "text",
"editYn": "text",
"sentFlag": "text",
"delYn": "text"
}
],
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}OK
POST /asset/us-v1/subscription/update HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 788
{
"siteCd": "text",
"cmpnId": "text",
"cmpnNm": "text",
"rprtSbscId": "text",
"rprtSbscTitle": "text",
"rprtSbscDesc": "text",
"rprtSbscFormat": "text",
"rprtSbscLang": "text",
"rprtSbscTypeCd": "text",
"rprtSbscCcl": "text",
"rprtSbscCclRng": "text",
"rprtSbscCclMonthly": "text",
"rprtSbscCclWeekly": "text",
"rprtSbscCclTime": "text",
"rprtSbscTmzn": "text",
"rprtSbscTmznCd": "text",
"regFlag": "text",
"creaId": "text",
"creaDt": "text",
"creaIpaddr": "text",
"updtId": "text",
"updtDt": "text",
"updtIpaddr": "text",
"userEmail": "text",
"fileId": "text",
"userList": [
{
"no": "text",
"siteCd": "text",
"cmpnId": "text",
"rprtSbscId": "text",
"userEmail": "text",
"userId": "text",
"userNm": "text",
"emailType": "text",
"flag": "text",
"creaId": "text",
"creaIpaddr": "text",
"updtId": "text",
"updtIpaddr": "text"
}
],
"accFilter": "text",
"sltdAccList": [
"text"
]
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}OK
POST /asset/us-v1/subscription/timezone/list HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"result": [
{
"tmznCd": "text",
"tmznVal": "text"
}
],
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}OK
POST /asset/us-v1/subscription/svcgrp/list HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 356
{
"siteCd": "text",
"cmpnId": "text",
"userId": "text",
"userEmail": "text",
"rprtSbscId": "text",
"rprtSbscTypeCd": "text",
"fileId": "text",
"fromDt": "text",
"toDt": "text",
"timezone": "text",
"searchTxt": "text",
"regFlag": "text",
"sortColumn": "text",
"sortOption": "text",
"orderBy": "text",
"page": 1,
"startRow": 1,
"pagePerSize": 1,
"rprtSbscIdList": [
"text"
],
"activeProfile": "text"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
},
"result": [
{
"siteCd": "text",
"cmpnId": "text",
"bzGrpSetId": "text",
"bzGrpSetNm": "text",
"fldrId": "text",
"fldrNm": "text",
"setType": "text",
"cmpnBzGrpId": "text",
"cmpnBzGrpNm": "text",
"cmpnBzGrpDesc": "text",
"dfltYn": "text",
"reptYn": "text",
"reptEndDt": "text",
"creaDt": "text",
"creaId": "text",
"creaIpaddr": "text",
"updtDt": "text",
"updtId": "text",
"updtIpaddr": "text",
"tagKey": "text",
"resourceList": [
{
"siteCd": "text",
"cmpnId": "text",
"cloudVndrId": "text",
"cmpnBzGrpId": "text",
"accId": "text",
"rgnId": "text",
"rsrcType": "text",
"instId": "text",
"azrRsrcId": "text",
"creaId": "text",
"creaIpaddr": "text",
"updtId": "text",
"updtIpaddr": "text"
}
],
"svcgrpList": [
"text"
]
}
]
}OK
POST /asset/us-v1/subscription/insert HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 788
{
"siteCd": "text",
"cmpnId": "text",
"cmpnNm": "text",
"rprtSbscId": "text",
"rprtSbscTitle": "text",
"rprtSbscDesc": "text",
"rprtSbscFormat": "text",
"rprtSbscLang": "text",
"rprtSbscTypeCd": "text",
"rprtSbscCcl": "text",
"rprtSbscCclRng": "text",
"rprtSbscCclMonthly": "text",
"rprtSbscCclWeekly": "text",
"rprtSbscCclTime": "text",
"rprtSbscTmzn": "text",
"rprtSbscTmznCd": "text",
"regFlag": "text",
"creaId": "text",
"creaDt": "text",
"creaIpaddr": "text",
"updtId": "text",
"updtDt": "text",
"updtIpaddr": "text",
"userEmail": "text",
"fileId": "text",
"userList": [
{
"no": "text",
"siteCd": "text",
"cmpnId": "text",
"rprtSbscId": "text",
"userEmail": "text",
"userId": "text",
"userNm": "text",
"emailType": "text",
"flag": "text",
"creaId": "text",
"creaIpaddr": "text",
"updtId": "text",
"updtIpaddr": "text"
}
],
"accFilter": "text",
"sltdAccList": [
"text"
]
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}OK
POST /asset/us-v1/subscription/history/recipient HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 356
{
"siteCd": "text",
"cmpnId": "text",
"userId": "text",
"userEmail": "text",
"rprtSbscId": "text",
"rprtSbscTypeCd": "text",
"fileId": "text",
"fromDt": "text",
"toDt": "text",
"timezone": "text",
"searchTxt": "text",
"regFlag": "text",
"sortColumn": "text",
"sortOption": "text",
"orderBy": "text",
"page": 1,
"startRow": 1,
"pagePerSize": 1,
"rprtSbscIdList": [
"text"
],
"activeProfile": "text"
}OK
{
"result": {
"siteCd": "text",
"cmpnId": "text",
"cmpnNm": "text",
"rprtSbscId": "text",
"rprtSbscTitle": "text",
"rprtSbscDesc": "text",
"rprtSbscFormat": "text",
"rprtSbscLang": "text",
"rprtSbscTypeCd": "text",
"rprtSbscCcl": "text",
"rprtSbscCclRng": "text",
"rprtSbscCclMonthly": "text",
"rprtSbscCclWeekly": "text",
"rprtSbscCclTime": "text",
"rprtSbscTmzn": "text",
"rprtSbscTmznCd": "text",
"regFlag": "text",
"creaId": "text",
"creaDt": "text",
"creaIpaddr": "text",
"updtId": "text",
"updtDt": "text",
"updtIpaddr": "text",
"userEmail": "text",
"fileId": "text",
"userList": [
{
"no": "text",
"siteCd": "text",
"cmpnId": "text",
"rprtSbscId": "text",
"userEmail": "text",
"userId": "text",
"userNm": "text",
"emailType": "text",
"flag": "text",
"creaId": "text",
"creaIpaddr": "text",
"updtId": "text",
"updtIpaddr": "text"
}
],
"accFilter": "text",
"sltdAccList": [
"text"
]
},
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}OK
POST /asset/us-v1/subscription/history/list HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 356
{
"siteCd": "text",
"cmpnId": "text",
"userId": "text",
"userEmail": "text",
"rprtSbscId": "text",
"rprtSbscTypeCd": "text",
"fileId": "text",
"fromDt": "text",
"toDt": "text",
"timezone": "text",
"searchTxt": "text",
"regFlag": "text",
"sortColumn": "text",
"sortOption": "text",
"orderBy": "text",
"page": 1,
"startRow": 1,
"pagePerSize": 1,
"rprtSbscIdList": [
"text"
],
"activeProfile": "text"
}OK
{
"result": {
"totalCnt": 1,
"historyList": [
{
"no": "text",
"siteCd": "text",
"cmpnId": "text",
"rprtSbscId": "text",
"rprtSbscTitle": "text",
"rprtSbscTypeCd": "text",
"rprtSbscFormat": "text",
"fileId": "text",
"filePath": "text",
"sendRsltStat": "text",
"sendDt": "text",
"sendUserCnt": "text",
"downloadYn": "text",
"delYn": "text"
}
]
},
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}OK
POST /asset/us-v1/subscription/duplication/check HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 788
{
"siteCd": "text",
"cmpnId": "text",
"cmpnNm": "text",
"rprtSbscId": "text",
"rprtSbscTitle": "text",
"rprtSbscDesc": "text",
"rprtSbscFormat": "text",
"rprtSbscLang": "text",
"rprtSbscTypeCd": "text",
"rprtSbscCcl": "text",
"rprtSbscCclRng": "text",
"rprtSbscCclMonthly": "text",
"rprtSbscCclWeekly": "text",
"rprtSbscCclTime": "text",
"rprtSbscTmzn": "text",
"rprtSbscTmznCd": "text",
"regFlag": "text",
"creaId": "text",
"creaDt": "text",
"creaIpaddr": "text",
"updtId": "text",
"updtDt": "text",
"updtIpaddr": "text",
"userEmail": "text",
"fileId": "text",
"userList": [
{
"no": "text",
"siteCd": "text",
"cmpnId": "text",
"rprtSbscId": "text",
"userEmail": "text",
"userId": "text",
"userNm": "text",
"emailType": "text",
"flag": "text",
"creaId": "text",
"creaIpaddr": "text",
"updtId": "text",
"updtIpaddr": "text"
}
],
"accFilter": "text",
"sltdAccList": [
"text"
]
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}OK
POST /asset/us-v1/subscription/detail HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 356
{
"siteCd": "text",
"cmpnId": "text",
"userId": "text",
"userEmail": "text",
"rprtSbscId": "text",
"rprtSbscTypeCd": "text",
"fileId": "text",
"fromDt": "text",
"toDt": "text",
"timezone": "text",
"searchTxt": "text",
"regFlag": "text",
"sortColumn": "text",
"sortOption": "text",
"orderBy": "text",
"page": 1,
"startRow": 1,
"pagePerSize": 1,
"rprtSbscIdList": [
"text"
],
"activeProfile": "text"
}OK
{
"result": {
"siteCd": "text",
"cmpnId": "text",
"cmpnNm": "text",
"rprtSbscId": "text",
"rprtSbscTitle": "text",
"rprtSbscDesc": "text",
"rprtSbscFormat": "text",
"rprtSbscLang": "text",
"rprtSbscTypeCd": "text",
"rprtSbscCcl": "text",
"rprtSbscCclRng": "text",
"rprtSbscCclMonthly": "text",
"rprtSbscCclWeekly": "text",
"rprtSbscCclTime": "text",
"rprtSbscTmzn": "text",
"rprtSbscTmznCd": "text",
"regFlag": "text",
"creaId": "text",
"creaDt": "text",
"creaIpaddr": "text",
"updtId": "text",
"updtDt": "text",
"updtIpaddr": "text",
"userEmail": "text",
"fileId": "text",
"userList": [
{
"no": "text",
"siteCd": "text",
"cmpnId": "text",
"rprtSbscId": "text",
"userEmail": "text",
"userId": "text",
"userNm": "text",
"emailType": "text",
"flag": "text",
"creaId": "text",
"creaIpaddr": "text",
"updtId": "text",
"updtIpaddr": "text"
}
],
"accFilter": "text",
"sltdAccList": [
"text"
]
},
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}OK
POST /asset/us-v1/subscription/delete HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 788
{
"siteCd": "text",
"cmpnId": "text",
"cmpnNm": "text",
"rprtSbscId": "text",
"rprtSbscTitle": "text",
"rprtSbscDesc": "text",
"rprtSbscFormat": "text",
"rprtSbscLang": "text",
"rprtSbscTypeCd": "text",
"rprtSbscCcl": "text",
"rprtSbscCclRng": "text",
"rprtSbscCclMonthly": "text",
"rprtSbscCclWeekly": "text",
"rprtSbscCclTime": "text",
"rprtSbscTmzn": "text",
"rprtSbscTmznCd": "text",
"regFlag": "text",
"creaId": "text",
"creaDt": "text",
"creaIpaddr": "text",
"updtId": "text",
"updtDt": "text",
"updtIpaddr": "text",
"userEmail": "text",
"fileId": "text",
"userList": [
{
"no": "text",
"siteCd": "text",
"cmpnId": "text",
"rprtSbscId": "text",
"userEmail": "text",
"userId": "text",
"userNm": "text",
"emailType": "text",
"flag": "text",
"creaId": "text",
"creaIpaddr": "text",
"updtId": "text",
"updtIpaddr": "text"
}
],
"accFilter": "text",
"sltdAccList": [
"text"
]
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}OK
POST /asset/us-v1/subscription/count/check HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 356
{
"siteCd": "text",
"cmpnId": "text",
"userId": "text",
"userEmail": "text",
"rprtSbscId": "text",
"rprtSbscTypeCd": "text",
"fileId": "text",
"fromDt": "text",
"toDt": "text",
"timezone": "text",
"searchTxt": "text",
"regFlag": "text",
"sortColumn": "text",
"sortOption": "text",
"orderBy": "text",
"page": 1,
"startRow": 1,
"pagePerSize": 1,
"rprtSbscIdList": [
"text"
],
"activeProfile": "text"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}OK
POST /asset/us-v1/subscription/autosend/report/info HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 356
{
"siteCd": "text",
"cmpnId": "text",
"userId": "text",
"userEmail": "text",
"rprtSbscId": "text",
"rprtSbscTypeCd": "text",
"fileId": "text",
"fromDt": "text",
"toDt": "text",
"timezone": "text",
"searchTxt": "text",
"regFlag": "text",
"sortColumn": "text",
"sortOption": "text",
"orderBy": "text",
"page": 1,
"startRow": 1,
"pagePerSize": 1,
"rprtSbscIdList": [
"text"
],
"activeProfile": "text"
}OK
{
"result": {
"siteCd": "text",
"cmpnId": "text",
"cmpnNm": "text",
"rprtSbscId": "text",
"rprtSbscTitle": "text",
"rprtSbscDesc": "text",
"rprtSbscFormat": "text",
"rprtSbscLang": "text",
"rprtSbscTypeCd": "text",
"rprtSbscCcl": "text",
"rprtSbscCclRng": "text",
"rprtSbscCclMonthly": "text",
"rprtSbscCclWeekly": "text",
"rprtSbscCclTime": "text",
"rprtSbscTmzn": "text",
"rprtSbscTmznCd": "text",
"regFlag": "text",
"creaId": "text",
"creaDt": "text",
"creaIpaddr": "text",
"updtId": "text",
"updtDt": "text",
"updtIpaddr": "text",
"userEmail": "text",
"fileId": "text",
"userList": [
{
"no": "text",
"siteCd": "text",
"cmpnId": "text",
"rprtSbscId": "text",
"userEmail": "text",
"userId": "text",
"userNm": "text",
"emailType": "text",
"flag": "text",
"creaId": "text",
"creaIpaddr": "text",
"updtId": "text",
"updtIpaddr": "text"
}
],
"accFilter": "text",
"sltdAccList": [
"text"
]
},
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}OK
POST /asset/us-v1/reporthistoryRecent HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 414
{
"siteCd": "text",
"cmpnId": "text",
"creaId": "text",
"custmRprtId": "text",
"custmRprtNm": "text",
"custmRprtCfg": {},
"custmRprtDsFileLink": "text",
"datasetType": "text",
"vndr": "text",
"rsrcType": "text",
"svcGrpView": "text",
"mtrc": "text",
"duraType": "text",
"duraFrom": "text",
"duraTo": "text",
"duraCompFrom": "text",
"duraCompTo": "text",
"creaDt": "text",
"updtDt": "text",
"favYn": "text",
"dfltYn": "text",
"tz": "text",
"updateTime": "text"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
},
"result": [
{
"siteCd": "text",
"cmpnId": "text",
"creaId": "text",
"custmRprtId": "text",
"custmRprtNm": "text",
"custmRprtCfg": {},
"custmRprtDsFileLink": "text",
"datasetType": "text",
"vndr": "text",
"rsrcType": "text",
"svcGrpView": "text",
"mtrc": "text",
"duraType": "text",
"duraFrom": "text",
"duraTo": "text",
"duraCompFrom": "text",
"duraCompTo": "text",
"creaDt": "text",
"updtDt": "text",
"favYn": "text",
"dfltYn": "text",
"tz": "text",
"updateTime": "text"
}
]
}OK
POST /asset/us-v1/reporthistory HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 414
{
"siteCd": "text",
"cmpnId": "text",
"creaId": "text",
"custmRprtId": "text",
"custmRprtNm": "text",
"custmRprtCfg": {},
"custmRprtDsFileLink": "text",
"datasetType": "text",
"vndr": "text",
"rsrcType": "text",
"svcGrpView": "text",
"mtrc": "text",
"duraType": "text",
"duraFrom": "text",
"duraTo": "text",
"duraCompFrom": "text",
"duraCompTo": "text",
"creaDt": "text",
"updtDt": "text",
"favYn": "text",
"dfltYn": "text",
"tz": "text",
"updateTime": "text"
}OK
{
"status": "text",
"error": {
"Code": "text",
"Message": "text"
},
"result": [
{
"siteCd": "text",
"cmpnId": "text",
"creaId": "text",
"custmRprtId": "text",
"custmRprtNm": "text",
"custmRprtCfg": {},
"custmRprtDsFileLink": "text",
"datasetType": "text",
"vndr": "text",
"rsrcType": "text",
"svcGrpView": "text",
"mtrc": "text",
"duraType": "text",
"duraFrom": "text",
"duraTo": "text",
"duraCompFrom": "text",
"duraCompTo": "text",
"creaDt": "text",
"updtDt": "text",
"favYn": "text",
"dfltYn": "text",
"tz": "text",
"updateTime": "text"
}
]
}OK
POST /asset/us-v1/general/autosend/report/info HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 356
{
"siteCd": "text",
"cmpnId": "text",
"userId": "text",
"userEmail": "text",
"rprtSbscId": "text",
"rprtSbscTypeCd": "text",
"fileId": "text",
"fromDt": "text",
"toDt": "text",
"timezone": "text",
"searchTxt": "text",
"regFlag": "text",
"sortColumn": "text",
"sortOption": "text",
"orderBy": "text",
"page": 1,
"startRow": 1,
"pagePerSize": 1,
"rprtSbscIdList": [
"text"
],
"activeProfile": "text"
}OK
{
"result": {
"siteCd": "text",
"cmpnId": "text",
"cmpnNm": "text",
"rprtSbscId": "text",
"rprtSbscTitle": "text",
"rprtSbscDesc": "text",
"rprtSbscFormat": "text",
"rprtSbscLang": "text",
"rprtSbscTypeCd": "text",
"rprtSbscCcl": "text",
"rprtSbscCclRng": "text",
"rprtSbscCclMonthly": "text",
"rprtSbscCclWeekly": "text",
"rprtSbscCclTime": "text",
"rprtSbscTmzn": "text",
"rprtSbscTmznCd": "text",
"regFlag": "text",
"creaId": "text",
"creaDt": "text",
"creaIpaddr": "text",
"updtId": "text",
"updtDt": "text",
"updtIpaddr": "text",
"userEmail": "text",
"fileId": "text",
"userList": [
{
"no": "text",
"siteCd": "text",
"cmpnId": "text",
"rprtSbscId": "text",
"userEmail": "text",
"userId": "text",
"userNm": "text",
"emailType": "text",
"flag": "text",
"creaId": "text",
"creaIpaddr": "text",
"updtId": "text",
"updtIpaddr": "text"
}
],
"accFilter": "text",
"sltdAccList": [
"text"
]
},
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}OK
No content
POST /asset/us-v1/subscription/report/download HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 356
{
"siteCd": "text",
"cmpnId": "text",
"userId": "text",
"userEmail": "text",
"rprtSbscId": "text",
"rprtSbscTypeCd": "text",
"fileId": "text",
"fromDt": "text",
"toDt": "text",
"timezone": "text",
"searchTxt": "text",
"regFlag": "text",
"sortColumn": "text",
"sortOption": "text",
"orderBy": "text",
"page": 1,
"startRow": 1,
"pagePerSize": 1,
"rprtSbscIdList": [
"text"
],
"activeProfile": "text"
}OK
No content
report-download-controller APIs
OK
No content
POST /asset/us-v1/jasperdownload2 HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 414
{
"siteCd": "text",
"cmpnId": "text",
"creaId": "text",
"custmRprtId": "text",
"custmRprtNm": "text",
"custmRprtCfg": {},
"custmRprtDsFileLink": "text",
"datasetType": "text",
"vndr": "text",
"rsrcType": "text",
"svcGrpView": "text",
"mtrc": "text",
"duraType": "text",
"duraFrom": "text",
"duraTo": "text",
"duraCompFrom": "text",
"duraCompTo": "text",
"creaDt": "text",
"updtDt": "text",
"favYn": "text",
"dfltYn": "text",
"tz": "text",
"updateTime": "text"
}OK
No content
resource-common-controller APIs
OK
POST /asset/us-v1/resource/map/vpc HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 549
{
"siteCd": "text",
"cmpnId": "text",
"accId": "text",
"rgnId": "text",
"rsrcType": "text",
"rsrcId": "text",
"instId": "text",
"vpcId": "text",
"sbnetId": "text",
"userId": "text",
"ipAddr": "text",
"srchWord": "text",
"srchType": "text",
"vndr": "text",
"prodId": "text",
"lnchCnfgId": "text",
"category": "text",
"filterType": "text",
"bookMarkYn": "text",
"quickFilterJoin": "text",
"bookMarkJoin": "text",
"cmpnTimezone": "text",
"timezone": "text",
"availZone": "text",
"rsrcSeq": "text",
"azrRsrcId": "text",
"vndrList": [
{
"vndrId": "text",
"accId": [
"text"
]
}
],
"prodList": [
"text"
],
"idList": [
"text"
]
}OK
{
"data": [
{
"key": "text",
"name": "text",
"prdNm": "text",
"type": "text",
"state": "text",
"source": "text",
"group": "text",
"category": "text",
"rsrcSeq": "text",
"cost": "text",
"info": [
{
"key": "text",
"value": "text"
}
],
"count": [
{
"key": "text",
"value": "text"
}
],
"isGroup": true
}
],
"ec2List": [
{
"key": "text",
"name": "text",
"prdNm": "text",
"type": "text",
"state": "text",
"source": "text",
"group": "text",
"category": "text",
"rsrcSeq": "text",
"cost": "text",
"info": [
{
"key": "text",
"value": "text"
}
],
"count": [
{
"key": "text",
"value": "text"
}
],
"isGroup": true
}
],
"relation": [
{
"from": "text",
"to": "text",
"fromSpot": "text",
"toSpot": "text"
}
],
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}OK
POST /asset/us-v1/resource/map/gcp/vm HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 148
{
"siteCd": "text",
"cmpnId": "text",
"projectId": "text",
"regionId": "text",
"resourceId": "text",
"resourceType": "text",
"resourceName": "text",
"vmId": "text"
}OK
{
"data": [
{
"key": "text",
"name": "text",
"prdNm": "text",
"type": "text",
"state": "text",
"region": "text",
"source": "text",
"imgSrc": "text",
"group": "text",
"category": "text",
"rsrcSeq": "text",
"cost": "text",
"info": [
{
"key": "text",
"value": "text"
}
],
"count": [
{
"key": "text",
"value": "text"
}
],
"isGroup": true
}
],
"relation": [
{
"from": "text",
"to": "text",
"fromSpot": "text",
"toSpot": "text"
}
],
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}OK
POST /asset/us-v1/resource/map/azure/vn HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 549
{
"siteCd": "text",
"cmpnId": "text",
"accId": "text",
"rgnId": "text",
"rsrcType": "text",
"rsrcId": "text",
"instId": "text",
"vpcId": "text",
"sbnetId": "text",
"userId": "text",
"ipAddr": "text",
"srchWord": "text",
"srchType": "text",
"vndr": "text",
"prodId": "text",
"lnchCnfgId": "text",
"category": "text",
"filterType": "text",
"bookMarkYn": "text",
"quickFilterJoin": "text",
"bookMarkJoin": "text",
"cmpnTimezone": "text",
"timezone": "text",
"availZone": "text",
"rsrcSeq": "text",
"azrRsrcId": "text",
"vndrList": [
{
"vndrId": "text",
"accId": [
"text"
]
}
],
"prodList": [
"text"
],
"idList": [
"text"
]
}OK
{
"data": [
{
"key": "text",
"name": "text",
"prdNm": "text",
"type": "text",
"state": "text",
"source": "text",
"group": "text",
"category": "text",
"rsrcSeq": "text",
"cost": "text",
"info": [
{
"key": "text",
"value": "text"
}
],
"count": [
{
"key": "text",
"value": "text"
}
],
"isGroup": true
}
],
"ec2List": [
{
"key": "text",
"name": "text",
"prdNm": "text",
"type": "text",
"state": "text",
"source": "text",
"group": "text",
"category": "text",
"rsrcSeq": "text",
"cost": "text",
"info": [
{
"key": "text",
"value": "text"
}
],
"count": [
{
"key": "text",
"value": "text"
}
],
"isGroup": true
}
],
"relation": [
{
"from": "text",
"to": "text",
"fromSpot": "text",
"toSpot": "text"
}
],
"status": "text",
"error": {
"Code": "text",
"Message": "text"
}
}OK
POST /asset/us-v1/resource/map/azure/vm HTTP/1.1
Host: api.kr.opsnow360.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 549
{
"siteCd": "text",
"cmpnId": "text",
"accId": "text",
"rgnId": "text",
"rsrcType": "text",
"rsrcId": "text",
"instId": "text",
"vpcId": "text",
"sbnetId": "text",
"userId": "text",
"ipAddr": "text",
"srchWord": "text",
"srchType": "text",
"vndr": "text",
"prodId": "text",
"lnchCnfgId": "text",
[...]
